package com.bocloud.cmp.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 云主机业务Bean
 *
 * @author dongkai
 */
public class VMBean {
    private String name;
    private Integer cpu;
    private BigDecimal memory;
    private Integer disk;
    private String biosUuid;
    private String privateIps;
    private String publicIps;
    private String managerIp;
    private String imageId;
    private String flavorId;
    private String networkId;
    private String instanceId;
    private String subnetId;
    private String routerId;
    private String zone;
    private String securityGroupId;
    private String requestId;
    private String regionId;
    private String remark;
    private String account;
    private String password;
    private Date gmtCreate;
    private String status;
    private String internetChargeType;// 网络计费类型
    private Integer internetMaxBandwidthIn;// 公网入带宽最大值
    private Integer internetMaxBandwidthOut;// 公网出带宽最大值
    private String instanceChargeType;// 实例付费类型
    private String instanceNetworkType;// 实例的网络类型
    private String instanceType;// 实例类型
    private String systemDiskCategory;// 系统盘的类型
    private Integer systemDiskSize;// 系统盘的大小
    private String dataDisk;// 数据盘
    private Boolean isTemplate;
    private List<SnapshotModel> snapshots;
    private String hostName;
    private Boolean toolsInstalled;
    private Boolean toolsRunning;
    private String datastores;
    private List<String> stores;
    private Date gmtVmCreate; // 云主机创建时间
    private String osCategory;
    private String osName;
    private Boolean cpuHotEnable;// 是否开启CPU热插拔
    private Boolean memHotEnable;// 是否开启内存热插拔
    private Long resPoolId;// 资源池ID
    private String resPoolName;// 资源池名称
    private String resPoolVal;// 所属资源池value
    private Boolean toolsExpired;
    private String osVersion;

    public String getOsVersion() {
        return osVersion;
    }

    public void setOsVersion(String osVersion) {
        this.osVersion = osVersion;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the cpu
     */
    public Integer getCpu() {
        return cpu;
    }

    /**
     * @param cpu the cpu to set
     */
    public void setCpu(Integer cpu) {
        this.cpu = cpu;
    }

    /**
     * @return the memory
     */
    public BigDecimal getMemory() {
        return memory;
    }

    /**
     * @param memory the memory to set
     */
    public void setMemory(BigDecimal memory) {
        this.memory = memory;
    }

    /**
     * @return the disk
     */
    public Integer getDisk() {
        return disk;
    }

    /**
     * @param disk the disk to set
     */
    public void setDisk(Integer disk) {
        this.disk = disk;
    }

    /**
     * @return the privateIps
     */
    public String getPrivateIps() {
        return privateIps;
    }

    /**
     * @param privateIps the privateIps to set
     */
    public void setPrivateIps(String privateIps) {
        this.privateIps = privateIps;
    }

    /**
     * @return the publicIps
     */
    public String getPublicIps() {
        return publicIps;
    }

    /**
     * @param publicIps the publicIps to set
     */
    public void setPublicIps(String publicIps) {
        this.publicIps = publicIps;
    }

    /**
     * @return the managerIp
     */
    public String getManagerIp() {
        return managerIp;
    }

    /**
     * @param managerIp the managerIp to set
     */
    public void setManagerIp(String managerIp) {
        this.managerIp = managerIp;
    }

    /**
     * @return the imageId
     */
    public String getImageId() {
        return imageId;
    }

    /**
     * @param imageId the imageId to set
     */
    public void setImageId(String imageId) {
        this.imageId = imageId;
    }

    /**
     * @return the flavorId
     */
    public String getFlavorId() {
        return flavorId;
    }

    /**
     * @param flavorId the flavorId to set
     */
    public void setFlavorId(String flavorId) {
        this.flavorId = flavorId;
    }

    /**
     * @return the networkId
     */
    public String getNetworkId() {
        return networkId;
    }

    /**
     * @param networkId the networkId to set
     */
    public void setNetworkId(String networkId) {
        this.networkId = networkId;
    }

    /**
     * @return the instanceId
     */
    public String getInstanceId() {
        return instanceId;
    }

    /**
     * @param instanceId the instanceId to set
     */
    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    /**
     * @return the subnetId
     */
    public String getSubnetId() {
        return subnetId;
    }

    /**
     * @param subnetId the subnetId to set
     */
    public void setSubnetId(String subnetId) {
        this.subnetId = subnetId;
    }

    /**
     * @return the routerId
     */
    public String getRouterId() {
        return routerId;
    }

    /**
     * @param routerId the routerId to set
     */
    public void setRouterId(String routerId) {
        this.routerId = routerId;
    }

    /**
     * @return the zone
     */
    public String getZone() {
        return zone;
    }

    /**
     * @param zone the zone to set
     */
    public void setZone(String zone) {
        this.zone = zone;
    }

    /**
     * @return the securityGroupId
     */
    public String getSecurityGroupId() {
        return securityGroupId;
    }

    /**
     * @param securityGroupId the securityGroupId to set
     */
    public void setSecurityGroupId(String securityGroupId) {
        this.securityGroupId = securityGroupId;
    }

    /**
     * @return the requestId
     */
    public String getRequestId() {
        return requestId;
    }

    /**
     * @param requestId the requestId to set
     */
    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    /**
     * @return the regionId
     */
    public String getRegionId() {
        return regionId;
    }

    /**
     * @param regionId the regionId to set
     */
    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * @return the account
     */
    public String getAccount() {
        return account;
    }

    /**
     * @param account the account to set
     */
    public void setAccount(String account) {
        this.account = account;
    }

    /**
     * @return the password
     */
    public String getPassword() {
        return password;
    }

    /**
     * @param password the password to set
     */
    public void setPassword(String password) {
        this.password = password;
    }

    /**
     * @return the gmtCreate
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * @param gmtCreate the gmtCreate to set
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the internetChargeType
     */
    public String getInternetChargeType() {
        return internetChargeType;
    }

    /**
     * @param internetChargeType the internetChargeType to set
     */
    public void setInternetChargeType(String internetChargeType) {
        this.internetChargeType = internetChargeType;
    }

    /**
     * @return the internetMaxBandwidthIn
     */
    public Integer getInternetMaxBandwidthIn() {
        return internetMaxBandwidthIn;
    }

    /**
     * @param internetMaxBandwidthIn the internetMaxBandwidthIn to set
     */
    public void setInternetMaxBandwidthIn(Integer internetMaxBandwidthIn) {
        this.internetMaxBandwidthIn = internetMaxBandwidthIn;
    }

    /**
     * @return the internetMaxBandwidthOut
     */
    public Integer getInternetMaxBandwidthOut() {
        return internetMaxBandwidthOut;
    }

    /**
     * @param internetMaxBandwidthOut the internetMaxBandwidthOut to set
     */
    public void setInternetMaxBandwidthOut(Integer internetMaxBandwidthOut) {
        this.internetMaxBandwidthOut = internetMaxBandwidthOut;
    }

    /**
     * @return the instanceChargeType
     */
    public String getInstanceChargeType() {
        return instanceChargeType;
    }

    /**
     * @param instanceChargeType the instanceChargeType to set
     */
    public void setInstanceChargeType(String instanceChargeType) {
        this.instanceChargeType = instanceChargeType;
    }

    /**
     * @return the instanceNetworkType
     */
    public String getInstanceNetworkType() {
        return instanceNetworkType;
    }

    /**
     * @param instanceNetworkType the instanceNetworkType to set
     */
    public void setInstanceNetworkType(String instanceNetworkType) {
        this.instanceNetworkType = instanceNetworkType;
    }

    /**
     * @return the instanceType
     */
    public String getInstanceType() {
        return instanceType;
    }

    /**
     * @param instanceType the instanceType to set
     */
    public void setInstanceType(String instanceType) {
        this.instanceType = instanceType;
    }

    /**
     * @return the systemDiskCategory
     */
    public String getSystemDiskCategory() {
        return systemDiskCategory;
    }

    /**
     * @param systemDiskCategory the systemDiskCategory to set
     */
    public void setSystemDiskCategory(String systemDiskCategory) {
        this.systemDiskCategory = systemDiskCategory;
    }

    /**
     * @return the systemDiskSize
     */
    public Integer getSystemDiskSize() {
        return systemDiskSize;
    }

    /**
     * @param systemDiskSize the systemDiskSize to set
     */
    public void setSystemDiskSize(Integer systemDiskSize) {
        this.systemDiskSize = systemDiskSize;
    }

    /**
     * @return the dataDisk
     */
    public String getDataDisk() {
        return dataDisk;
    }

    /**
     * @param dataDisk the dataDisk to set
     */
    public void setDataDisk(String dataDisk) {
        this.dataDisk = dataDisk;
    }

    /**
     * @return the isTemplate
     */
    public Boolean getIsTemplate() {
        return isTemplate;
    }

    /**
     * @param isTemplate the isTemplate to set
     */
    public void setIsTemplate(Boolean isTemplate) {
        this.isTemplate = isTemplate;
    }

    /**
     * @return the snapshots
     */
    public List<SnapshotModel> getSnapshots() {
        return snapshots;
    }

    /**
     * @param snapshots the snapshots to set
     */
    public void setSnapshots(List<SnapshotModel> snapshots) {
        this.snapshots = snapshots;
    }

    /**
     * @return the toolsInstalled
     */
    public Boolean getToolsInstalled() {
        return toolsInstalled;
    }

    /**
     * @param toolsInstalled the toolsInstalled to set
     */
    public void setToolsInstalled(Boolean toolsInstalled) {
        this.toolsInstalled = toolsInstalled;
    }

    /**
     * @return the toolsRunning
     */
    public Boolean getToolsRunning() {
        return toolsRunning;
    }

    /**
     * @param toolsRunning the toolsRunning to set
     */
    public void setToolsRunning(Boolean toolsRunning) {
        this.toolsRunning = toolsRunning;
    }

    /**
     * @return the datastores
     */
    public String getDatastores() {
        return datastores;
    }

    /**
     * @param datastores the datastores to set
     */
    public void setDatastores(String datastores) {
        this.datastores = datastores;
    }

    /**
     * @return the stores
     */
    public List<String> getStores() {
        return stores;
    }

    /**
     * @param stores the stores to set
     */
    public void setStores(List<String> stores) {
        this.stores = stores;
    }

    /**
     * @return the hostName
     */
    public String getHostName() {
        return hostName;
    }

    /**
     * @param hostName the hostName to set
     */
    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    public Date getGmtVmCreate() {
        return gmtVmCreate;
    }

    public void setGmtVmCreate(Date gmtVmCreate) {
        this.gmtVmCreate = gmtVmCreate;
    }

    /**
     * @return the osCategory
     */
    public String getOsCategory() {
        return osCategory;
    }

    /**
     * @param osCategory the osCategory to set
     */
    public void setOsCategory(String osCategory) {
        this.osCategory = osCategory;
    }

    /**
     * @return the osName
     */
    public String getOsName() {
        return osName;
    }

    /**
     * @param osName the osName to set
     */
    public void setOsName(String osName) {
        this.osName = osName;
    }

    /**
     * @return the cpuHotEnable
     */
    public Boolean getCpuHotEnable() {
        return cpuHotEnable;
    }

    /**
     * @param cpuHotEnable the cpuHotEnable to set
     */
    public void setCpuHotEnable(Boolean cpuHotEnable) {
        this.cpuHotEnable = cpuHotEnable;
    }

    /**
     * @return the memHotEnable
     */
    public Boolean getMemHotEnable() {
        return memHotEnable;
    }

    /**
     * @param memHotEnable the memHotEnable to set
     */
    public void setMemHotEnable(Boolean memHotEnable) {
        this.memHotEnable = memHotEnable;
    }

    /**
     * @return the resPoolId
     */
    public Long getResPoolId() {
        return resPoolId;
    }

    /**
     * @param resPoolId the resPoolId to set
     */
    public void setResPoolId(Long resPoolId) {
        this.resPoolId = resPoolId;
    }

    /**
     * @return the resPoolName
     */
    public String getResPoolName() {
        return resPoolName;
    }

    /**
     * @param resPoolName the resPoolName to set
     */
    public void setResPoolName(String resPoolName) {
        this.resPoolName = resPoolName;
    }

    /**
     * @return the resPoolVal
     */
    public String getResPoolVal() {
        return resPoolVal;
    }

    /**
     * @param resPoolVal the resPoolVal to set
     */
    public void setResPoolVal(String resPoolVal) {
        this.resPoolVal = resPoolVal;
    }

    public Boolean getToolsExpired() {
        return toolsExpired;
    }

    public void setToolsExpired(Boolean toolsExpired) {
        this.toolsExpired = toolsExpired;
    }

    public String getBiosUuid() {
        return biosUuid;
    }

    public void setBiosUuid(String biosUuid) {
        this.biosUuid = biosUuid;
    }

    public Boolean getTemplate() {
        return isTemplate;
    }

    public void setTemplate(Boolean template) {
        isTemplate = template;
    }
}
